<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

    <head>
    <title>IBApplicationAdditions documentation</title>
  </head>
  <body>
    <font face="serif">
    <h1><a name="title$IBApplicationAdditions">IBApplicationAdditions documentation</a></h1>
    <h3>Authors</h3>
    <dl>
      <dt>Generated by heron</dt>
      <dd>
      </dd>
    </dl>

        <div>
      <hr width="50%" align="left" />
      <h3>Contents -</h3>
      <ol>
        <li>
          <a href="#001000000000">Software documentation for the
        NSApplication(GormSpecific)
        category</a>
        </li>
        <li>
          <a href="#002000000000">Software documentation for the IB protocol</a>
        </li>
      </ol>
      <hr width="50%" align="left" />
    </div>

          <h1><a name="001000000000">
        Software documentation for the
        NSApplication(GormSpecific)
        category
      </a></h1>
    <h2>NSApplication(<a name="category$NSApplication(GormSpecific)">GormSpecific</a>)</h2>
    <blockquote class="declared">
      <dl>
        <dt><b>Declared in:</b></dt>
        <dd>InterfaceBuilder/IBApplicationAdditions.h</dd>
      </dl>
    </blockquote>
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <b>Method summary</b>
    <ul>
      <li><a rel="gsdoc" href="IBApplicationAdditions.html#method$NSApplication(GormSpecific)-linkImage">-linkImage</a></li>
      <li><a rel="gsdoc" href="IBApplicationAdditions.html#method$NSApplication(GormSpecific)-startConnecting">-startConnecting</a></li>
    </ul>
    <hr width="50%" align="left" />
<div class="method">
    <h3><a name="method$NSApplication(GormSpecific)-linkImage">linkImage&nbsp;</a></h3>
    - (NSImage*) <b>linkImage</b>;<br />
    <div class="desc">
      
            Image to be displayed with making a link.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$NSApplication(GormSpecific)-startConnecting">startConnecting&nbsp;</a></h3>
    - (void) <b>startConnecting</b>;<br />
    <div class="desc">
      
            Start the connection process.
          
    </div>
    <hr width="25%" align="left" />
</div>

          <h1><a name="002000000000">
        Software documentation for the IB protocol
      </a></h1>
    <h2><a name="protocol$(IB)">IB</a></h2>
    <blockquote class="declared">
      <dl>
        <dt><b>Declared in:</b></dt>
        <dd>InterfaceBuilder/IBApplicationAdditions.h</dd>
      </dl>
    </blockquote>
    <blockquote>
      <dl>
        <dt><b>Conforms to:</b></dt>
        <dd>NSObject</dd>
      </dl>
    </blockquote>
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <b>Method summary</b>
    <ul>
      <li><a rel="gsdoc" href="IBApplicationAdditions.html#method$(IB)-activeDocument">-activeDocument</a></li>
      <li><a rel="gsdoc" href="IBApplicationAdditions.html#method$(IB)-documentForObject$">-documentForObject:</a></li>
      <li><a rel="gsdoc" href="IBApplicationAdditions.html#method$(IB)-isTestingInterface">-isTestingInterface</a></li>
      <li><a rel="gsdoc" href="IBApplicationAdditions.html#method$(IB)-selectedObject">-selectedObject</a></li>
      <li><a rel="gsdoc" href="IBApplicationAdditions.html#method$(IB)-selectionOwner">-selectionOwner</a></li>
    </ul>
    <hr width="50%" align="left" />
<div class="method">
    <h3><a name="method$(IB)-activeDocument">activeDocument&nbsp;</a></h3>
    - (id<<a rel="gsdoc" href="IBDocuments.html#protocol$(IBDocuments)">IBDocuments</a>>) <b>activeDocument</b>;<br />
    <div class="desc">
      
            Returns the document which is currently being
            edited.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IB)-documentForObject$">documentForObject:&nbsp;</a></h3>
    - (id<<a rel="gsdoc" href="IBDocuments.html#protocol$(IBDocuments)">IBDocuments</a>>) <b>documentForObject:</b> (id)object;<br />
    <div class="desc">
      
            Returns the document which contains this
            <var>object</var>.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IB)-isTestingInterface">isTestingInterface&nbsp;</a></h3>
    - (BOOL) <b>isTestingInterface</b>;<br />
    <div class="desc">
      
            Returns <code>YES</code>, if the reciever is in
            testing mode.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IB)-selectedObject">selectedObject&nbsp;</a></h3>
    - (id) <b>selectedObject</b>;<br />
    <div class="desc">
      
            Returns the current selection from the current
            selection owner.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IB)-selectionOwner">selectionOwner&nbsp;</a></h3>
    - (id<<a rel="gsdoc" href="IBEditors.html#protocol$(IBSelectionOwners)">IBSelectionOwners</a>>) <b>selectionOwner</b>;<br />
    <div class="desc">
      
            Returns the current selection owner.
          
    </div>
    <hr width="25%" align="left" />
</div>
    <br />
    </font>
</body>
</html>
